Loading...
Searching...
No Matches
peer.c File Reference

ENet peer management functions. More...

`#include <string.h>`
`#include "enet/enet.h"`

## Macros

#define | ENET_BUILDING_LIB 1

## Functions

void | enet_peer_disconnect (ENetPeer *peer, enet_uint32 data)
| Request a disconnection from a peer.
void | enet_peer_disconnect_later (ENetPeer *peer, enet_uint32 data)
| Request a disconnection from a peer, but only after all queued outgoing packets are sent.
void | enet_peer_disconnect_now (ENetPeer *peer, enet_uint32 data)
| Force an immediate disconnection from a peer.
void | enet_peer_dispatch_incoming_reliable_commands (ENetPeer *peer, ENetChannel *channel, ENetIncomingCommand *queuedCommand)
void | enet_peer_dispatch_incoming_unreliable_commands (ENetPeer *peer, ENetChannel *channel, ENetIncomingCommand *queuedCommand)
int | enet_peer_has_outgoing_commands (ENetPeer *peer)
void | enet_peer_on_connect (ENetPeer *peer)
void | enet_peer_on_disconnect (ENetPeer *peer)
void | enet_peer_ping (ENetPeer *peer)
| Sends a ping request to a peer.
void | enet_peer_ping_interval (ENetPeer *peer, enet_uint32 pingInterval)
| Sets the interval at which pings will be sent to a peer.
ENetAcknowledgement * | enet_peer_queue_acknowledgement (ENetPeer *peer, const ENetProtocol *command, enet_uint16 sentTime)
ENetIncomingCommand * | enet_peer_queue_incoming_command (ENetPeer *peer, const ENetProtocol *command, const void *data, size_t dataLength, enet_uint32 flags, enet_uint32 fragmentCount)
ENetOutgoingCommand * | enet_peer_queue_outgoing_command (ENetPeer *peer, const ENetProtocol *command, ENetPacket *packet, enet_uint32 offset, enet_uint16 length)
ENetPacket * | enet_peer_receive (ENetPeer *peer, enet_uint8 *channelID)
| Attempts to dequeue any incoming queued packet.
void | enet_peer_reset (ENetPeer *peer)
| Forcefully disconnects a peer.
void | enet_peer_reset_queues (ENetPeer *peer)
int | enet_peer_send (ENetPeer *peer, enet_uint8 channelID, ENetPacket *packet)
| Queues a packet to be sent.
void | enet_peer_setup_outgoing_command (ENetPeer *peer, ENetOutgoingCommand *outgoingCommand)
int | enet_peer_throttle (ENetPeer *peer, enet_uint32 rtt)
void | enet_peer_throttle_configure (ENetPeer *peer, enet_uint32 interval, enet_uint32 acceleration, enet_uint32 deceleration)
| Configures throttle parameter for a peer.
void | enet_peer_timeout (ENetPeer *peer, enet_uint32 timeoutLimit, enet_uint32 timeoutMinimum, enet_uint32 timeoutMaximum)
| Sets the timeout parameters for a peer.

## Detailed Description

ENet peer management functions.

## Macro Definition Documentation

## ENET_BUILDING_LIB

#define ENET_BUILDING_LIB 1